#define DEFINE_TRACE(name) DEFINE_TRACE_FN(name,NULL,NULL);

#define SYSCALL_DEFINE0(name) asmlinkage long sys_##name(void)

#define SYSCALL_DEFINE2(name, t1, a1, t2, a2) asmlinkage long sys_##name(t1 a1, t2 a2)

#define SYSCALL_DEFINE6(name, t1, a1, t2, a2, t3, a3, t4, a4, t5, a5, t6, a6) asmlinkage long sys_##name(t1 a1, t2 a2, t3 a3, t4 a4, t5 a5, t6 a6)

#define __cpuinit 

#define __cacheline_aligned_in_smp 

#define __deref_bcount(size) static inline void trace_##name(proto)				 \
	{ }								 \
	static inline int						 \
	register_trace_##name(void (*probe)(data_proto),		 \
			      void *data)				 \
	{								 \
		return -ENOSYS;						 \
	}								 \
	static inline int						 \
	unregister_trace_##name(void (*probe)(data_proto),		 \
				void *data)				 \
	{								 \
		return -ENOSYS;						 \
	}								 \
	static inline void check_trace_callback_type_##name(void (*cb)(data_proto)) \
	{								 \
	}

#define _GLOBAL(name) name:

#define SYSCALL_DEFINE1(name, t1, a1) asmlinkage long sys_##name(t1 a1)

#define noinline 

#define __func__ 

#define __inline__ inline

#define __DECLARE_TRACE(name, proto, args, data_proto, data_args) static inline void trace_##name(proto){}static inline int register_trace_##name(void(*probe)(data_proto),void *data){return-ENOSYS;}static inline int unregister_trace_##name(void(*probe)(data_proto),void *data){return-ENOSYS;}static inline void check_trace_callback_type_##name(void(*cb)(data_proto)){}

#define __initdata 

#define __read_mostly 

#define IPCOM_PROCESS(func) void func(void)

#define LIST_HEAD(name) struct list_head name;

#define SYSCALL_DEFINE5(name, t1, a1, t2, a2, t3, a3, t4, a4, t5, a5) asmlinkage long sys_##name(t1 a1, t2 a2, t3 a3, t4 a4, t5 a5)

#define __init_refork 

#define IP_PUBLIC 

#define __releases(x) 

#define _ENTRY(n) .globl n; \
n:

#define DECLARE_PER_CPU(type,name) type name

#define ENTRY(name) name:

#define SYSCALL_DEFINE3(name, t1, a1, t2, a2, t3, a3) asmlinkage long sys_##name(t1 a1, t2 a2, t3 a3)

#define SYSCALL_DEFINE4(name, t1, a1, t2, a2, t3, a3, t4, a4) asmlinkage long sys_##name(t1 a1, t2 a2, t3 a3, t4 a4)

#define IP_STATIC 

#define __initconst 

#define __exception 

#define RAW_NOTIFIER_HEAD(name) struct raw_notifier_head name;

#define __init 

#define IP_GLOBAL 

#define IP_PACKED 

#define asmlinkage 

#define IP_INLINE 

#define DEFINE_TRACE_FN static const char __tpstrtab_##name[]__attribute__((section("__tracepoints_strings")))=#name;struct tracepoint __tracepoint_##name __attribute__((section("__tracepoints"),aligned(32)))={__tpstrtab_##name,0,reg,unreg,NULL}

